kvm-source can't build on i686

Bug #333632 reported by David Brown on 2009-02-24
2
Affects Status Importance Assigned to Milestone
kvm (Ubuntu)
High
Dustin Kirkland 

Bug Description

root@dmlb2010-lappy:/usr/src/kvm-84# lsb_release -rd
Description: Ubuntu jaunty (development branch)
Release: 9.04
root@dmlb2010-lappy:/usr/src/kvm-84#

root@dmlb2010-lappy:/usr/src/kvm-84# apt-cache policy kvm-source
kvm-source:
  Installed: 1:84+dfsg-0ubuntu3
  Candidate: 1:84+dfsg-0ubuntu3
  Version table:
 *** 1:84+dfsg-0ubuntu3 0
        500 http://archive.ubuntu.com jaunty/universe Packages
        100 /var/lib/dpkg/status
     1:83+dfsg-0ubuntu1 0
        500 http://mirror.emsl.pnl.gov jaunty/universe Packages
root@dmlb2010-lappy:/usr/src/kvm-84#

root@dmlb2010-lappy:~# apt-get install kvm-source
Reading package lists... Done
Building dependency tree
Reading state information... Done
kvm-source is already the newest version.
The following packages were automatically installed and are no longer required:
  libartsc0 libportaudio0 libxml-namespacesupport-perl libhtml-template-perl
  libdns43 libxml-sax-expat-perl libgpod3 libmono-system1.0-cil
  libxml-sax-perl libxml-simple-perl libartsc0-dev libisc44
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up kvm-source (1:84+dfsg-0ubuntu3) ...

Creating symlink /var/lib/dkms/kvm/84/source ->
                 /usr/src/kvm-84

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....(bad exit status: 2)
make KERNELRELEASE=2.6.28-8-generic KERNELDIR=/lib/modules/2.6.28-8-generic/build....(bad exit status: 2)

Error! Bad return status for module build on kernel: 2.6.28-8-generic (i686)
Consult the make.log in the build directory
/var/lib/dkms/kvm/84/build/ for more information.
0
0
dpkg: error processing kvm-source (--configure):
 subprocess post-installation script returned error exit status 10
Errors were encountered while processing:
 kvm-source
E: Sub-process /usr/bin/dpkg returned an error code (1)

What I expected was dpkg to not return an error, so I think it may be doing a 'dkms build -m kvm -v 84'

I go in and apply this patch:
since uname -r on i386 machine returns i686 not i386
==========================
--- Makefile.orig 2009-02-23 17:22:58.000000000 -0800
+++ Makefile 2009-02-23 17:23:07.000000000 -0800
@@ -1,7 +1,7 @@
 include config.kbuild

 ARCH=$(shell uname -m)
-ARCH_DIR = $(if $(filter $(ARCH),x86_64 i386),x86,$(ARCH))
+ARCH_DIR = $(if $(filter $(ARCH),x86_64 i686),x86,$(ARCH))
 ARCH_CONFIG := $(shell echo $(ARCH_DIR) | tr '[:lower:]' '[:upper:]')
 # NONARCH_CONFIG used for unifdef, and only cover X86 and IA64 now
 NONARCH_CONFIG = $(filter-out $(ARCH_CONFIG),X86 IA64)
==========================

then
root@dmlb2010-lappy:/usr/src/kvm-84# dkms build -m kvm -v 84

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=2.6.28-8-generic KERNELDIR=/lib/modules/2.6.28-8-generic/build..............
cleaning build area....

DKMS: build Completed.

Related branches

Changed in kvm:
importance: Undecided → High
Changed in kvm:
assignee: nobody → kirkland
status: New → Triaged
Dustin Kirkland  (kirkland) wrote :

Thanks for the info, David.

I have a fix for this and a couple of other kvm-source issues. I'll upload as soon as we're out of alpha6 freeze....

:-Dustin

Changed in kvm:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kvm - 1:84+dfsg-0ubuntu8

---------------
kvm (1:84+dfsg-0ubuntu8) jaunty; urgency=low

  * debian/patches/dkmsify.patch: handle i686 arch properly, LP: #333632
  * debian/control: kvm-source needs kernel headers
  * debian/kvm-source.postinst: check if necessary headers are installed;
    if not, print a handy error message with instructions, LP: #341159
  * debian/kvm.init: use proper lsb begin/end message logging for cleaner
    usplash interaction, LP: #275009
  * debian/rules, debian/control: Enable pulseaudio audio driver, LP: #304649

 -- Dustin Kirkland <email address hidden> Thu, 12 Mar 2009 00:17:04 -0500

Changed in kvm:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers